[Overview][Types][Classes][Index] | Reference for unit 'zstream' (#fcl)

# Tdecompressionstream.read

Read data from the compressed stream

## Declaration

Source position: zstream.pp line 78

`public function Tdecompressionstream.read(`
`var buffer;`
`count: LongInt`
`):LongInt; override;`

## Arguments

`buffer` |  | Buffer in which to store the read data
`count` |  | Maximum number of bytes to read.

## Function result

Number of decompressed bytes that were actually read

## Description

Read will read data from the compressed stream until the decompressed data size is Count or there is no more compressed data available. The decompressed data is written in Buffer. The function returns the number of bytes written in the buffer.

## Errors

If an error occurs, an EDeCompressionError exception is raised.

## See also

Write |  | Write data to the stream

Documentation generated on: Feb 26 2014